/*
 * Class DYNAMIC_LIST [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_454 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_454 [] = {0xFF01,237,453,212,0xFFFF};
static const EIF_TYPE_INDEX egt_2_454 [] = {0xFF01,453,212,0xFFFF};
static const EIF_TYPE_INDEX egt_3_454 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_454 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_454 [] = {0xFF01,453,212,0xFFFF};
static const EIF_TYPE_INDEX egt_6_454 [] = {0xFF01,453,212,0xFFFF};
static const EIF_TYPE_INDEX egt_7_454 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_454 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_454 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_454 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_454 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_454 [] = {453,212,0xFFFF};
static const EIF_TYPE_INDEX egt_13_454 [] = {0xFF01,453,212,0xFFFF};
static const EIF_TYPE_INDEX egt_14_454 [] = {0xFF01,444,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_454 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_454 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_454 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_454 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_454 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_454 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_454 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_454 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_454 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_454 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_454 [] = {0xFF01,453,212,0xFFFF};
static const EIF_TYPE_INDEX egt_26_454 [] = {0xFF01,436,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_454 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_454 [] = {0xFF01,453,212,0xFFFF};
static const EIF_TYPE_INDEX egt_29_454 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_454[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_454), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_454), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4654, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_454), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_454), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_454), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_454), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_454), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_454), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_454), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_454), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_454), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_454), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_454), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_454), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4312, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2027, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1871, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1872, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1873, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1874, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_454), 2336, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_454), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_454), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2540, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2541, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1995, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4313, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2471, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4316, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_454), 2329, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2330, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4319, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_454), 4314, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_454), 4317, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4322, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_454), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4301, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4318, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2332, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2333, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2334, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2335, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_454), 4314, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_454), 4315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4322, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4304, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4304, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_454), 4310, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_454), 4311, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4320, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4323, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4302, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4303, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4307, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_454), 4576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2326, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2328, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2328, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4571, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4572, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1935, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2537, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4573, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4714, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_454), 3372, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_454), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4652, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2327, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2535, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4305, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4316, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4711, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4712, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4713, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_454), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_454), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init454(void)
{
	IDSC(desc_454, 0, 453);
	IDSC(desc_454 + 1, 1, 453);
	IDSC(desc_454 + 32, 77, 453);
	IDSC(desc_454 + 41, 243, 453);
	IDSC(desc_454 + 47, 155, 453);
	IDSC(desc_454 + 56, 256, 453);
	IDSC(desc_454 + 59, 30, 453);
	IDSC(desc_454 + 66, 187, 453);
	IDSC(desc_454 + 72, 329, 453);
	IDSC(desc_454 + 86, 282, 453);
	IDSC(desc_454 + 95, 99, 453);
	IDSC(desc_454 + 97, 294, 453);
	IDSC(desc_454 + 100, 237, 453);
	IDSC(desc_454 + 102, 229, 453);
	IDSC(desc_454 + 103, 55, 453);
	IDSC(desc_454 + 104, 96, 453);
	IDSC(desc_454 + 112, 184, 453);
	IDSC(desc_454 + 115, 50, 453);
	IDSC(desc_454 + 116, 35, 453);
	IDSC(desc_454 + 117, 172, 453);
}


#ifdef __cplusplus
}
#endif
